Subject: bug#31111: Partition table wrongly identified as "atari"

From: Phillip Susi <[email-masked]>
Date: Fri, 11 May 2018 10:55:26 -0400

On 5/10/2018 2:52 PM, Phil Susi wrote:
> Ok, after looking at the code it wasn't very hard to slap a few of the
> right bytes into an empty file and trick atari_probe.  I've fixed it
> now.  Will post the patch tomorrow.  Thanks.

Nevermind; it wasn't a logical error.  As long as at least one partition
has a plausible start and end value and 3 ASCII characters in the name
field, it is a valid atari table.  I think I'll just move the atari
table to be probed last, after every other table has rejected it.